Browse the API reference

Voices

Generate voice preview

View as Markdown
posthttps://www.getrevox.com/api/voices/preview

Generate a short audio preview for a given voice.

Request body

  • voiceIdstringrequired

    The voice ID to generate a preview for.

  • providerenum (string)required

    The provider to use for the preview.

    One ofcartesiaelevenlabsgradium

  • textstring

    Custom text for the preview. If omitted, a short default is used.

    max length 2000

  • assistantPromptstring

    Prompt of the assistant the voice is for. When text is omitted, the preview is a few lines that assistant would say on a call.

    max length 100000

  • speednumber

    Speed for preview. Cartesia 0.6–1.5, ElevenLabs 0.7–1.2. Default 1.0.

    min 0.6 · max 1.5

  • volumenumber

    Volume for Cartesia preview (0.5–2.0). Ignored for other providers.

    min 0.5 · max 2

  • modelenum (string)

    Cartesia model for the preview. Defaults to sonic-3.6. Ignored for other providers.

    One ofsonic-3sonic-3.5sonic-3.6

Responses

200Success
400Invalid request: the body or a parameter failed validation
  • errorstringrequired
500Server error
  • messagestring
  • errorstring
  • bodyErrorsobject

    The validation errors returned from the API.

    Show 1 field
    • issuesarray of objectrequired
      Show 3 fields
      • patharray of one ofrequired
        Show 2 variants
        1. One ofstringstring

        2. One ofnumbernumber

      • messagestringrequired
      • codestring